Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcSun14HttpTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcHttpTransport
                  org.apache.xmlrpc.client.XmlRpcSunHttpTransport
                      org.apache.xmlrpc.client.XmlRpcSun14HttpTransport

All Implemented Interfaces:
  XmlRpcTransport

Direct Known Subclasses:
  XmlRpcSun15HttpTransport

    public class XmlRpcSun14HttpTransport

extends XmlRpcSunHttpTransport

Default implementation of an HTTP transport in Java 1.4, based on the `HttpURLConnection` class. Adds support for the `SSLSocketFactory`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`XmlRpcHttpTransport.ByteArrayReqWriter`

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Field Summary

Fields inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`USER_AGENT`

Constructor Summary
`XmlRpcSun14HttpTransport(XmlRpcClient pClient)` Creates a new instance.

Method Summary
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Returns the SSLSocketFactory used to create secure sockets.
`protected java.net.URLConnection` | `newURLConnection(java.net.URL pURL)`
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSocketFactory)` Sets the SSLSocketFactory used to create secure sockets.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcSunHttpTransport
`close, getInputStream, getURLConnection, isResponseGzipCompressed, sendRequest, setRequestHeader, writeRequest`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`getUserAgent, initHttpHeaders, isUsingByteArrayOutput, newReqWriter, setCompressionHeaders, setContentLength, setCredentials`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`isCompressingRequest, newXMLReader, readResponse`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcSun14HttpTransport

    public XmlRpcSun14HttpTransport(XmlRpcClient pClient)

  Creates a new instance.

  Parameters:
    `pClient` - The client controlling this instance.

Method Detail

### setSSLSocketFactory

    public void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory pSocketFactory)

  Sets the SSLSocketFactory used to create secure sockets.

  Parameters:
    `pSocketFactory` - The SSLSocketFactory to use.

### getSSLSocketFactory

    public javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Returns the SSLSocketFactory used to create secure sockets.

### newURLConnection

    protected java.net.URLConnection newURLConnection(java.net.URL pURL)
                                               throws java.io.IOException

  Overrides:
    `newURLConnection` in class `XmlRpcSunHttpTransport`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.